.home-carousel {
  position: relative;
  .progress-bar {
    width: 180px;
    position: absolute;
    @include centerer();
    text {
      text-anchor: start;
      dominant-baseline: central;
    }
    z-index: 1;
  }
  .carousel-caption {
    top: 50%;
    left: 43%;
    right: auto;
    bottom: auto;
    @include translate(0, -50%);
    font-size: 20px;
    @media (max-width: 1400px) {
      left: 40%;
    }
    @include media-breakpoint-down(lg) {
      left: 30%;
    }
  }
  .carousel-image {
    position: relative;
    width: 100%;
    overflow: hidden;
    box-sizing: border-box;
    &:before {
      content: "";
      display: block;
      padding-bottom: 58%;
    }
    > div {
      position: absolute;
      top: 0;
      left: 0;
      bottom: 0;
      right: 0;
      text-align: center;
      background: white no-repeat scroll center center / cover;
      @include transition();
    }
  }
}

.home-chart {
  height: 100%;
  background-color: #2E2E2E;
  > div {
    height: 100%;
    @include media-breakpoint-down(sm) {
      height: 300px;
    }
  }
}

.home-category {
  padding: 1.5rem 0;
  .category-item {
    width: 116px;
    margin: 0 40px;
    cursor: pointer;
    @include media-breakpoint-down(lg) {
      margin: 0 20px;
    }
    @include media-breakpoint-down(sm) {
      margin: 20px;
    }
    input[type=checkbox] {
      display:none;
    }
    label {
      position: relative;
      @include flex();
      @include align-items();
      @include justify-content();
      width: 116px;
      height: 134px;
      background: transparent url('../../images/shape/hexagon.svg') no-repeat center center / 100% auto;
      text-align: center;
      cursor: pointer;
      @include no-select();
      p {
        color: white;
        font-size: 20px;
        font-family: $eng-font-family;
        margin-top: 0.5rem;
      }
    }
    input[type=checkbox]:checked + label {
      background-image: url('../../images/shape/hexagon-checked.svg');
    }
  }
}

.home-menu {
  padding-bottom: 4rem;
  .menu-item {
    position: relative;
    margin-bottom: 0.5rem;
  }
  .menu-image {
    position: relative;
    width: 100%;
    overflow: hidden;
    box-sizing: border-box;
    &:before {
      content: "";
      display: block;
      padding-bottom: 100%;
    }
    > div {
      position: absolute;
      top: 0;
      left: 0;
      bottom: 0;
      right: 0;
      text-align: center;
      background: white no-repeat scroll center center / cover;
      @include transition();
    }
    &:hover {
      > div {
        opacity: 0.9;
        @include transform(scale3d(1.1, 1.1, 1));
      }
    }
  }
  .menu-text {
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: $yellow;
    min-width: 120px;
    color: white;
    font-size: 15px;
    font-family: $eng-font-family;
    padding: 0.5rem;
  }
}
